<!-- 
  function _initSearch(RootPath,ModelPath)
  {
    var smObj=document.getElementById('_searchmodel_');                
    if(smObj!=null){                                                 
      while(smObj.options.length>0){                           
        smObj.removeChild(smObj.options[smObj.options.length-1]);
      }
      for(var i=0;i<_searchModels.length;i++){                     
        smObj.options.add(new Option(_searchModels[i][0],_searchModels[i][1]));
      }
    }     
    var sm=ModelPath;
    if(sm==''){
      sm=location.href.match(/(?!=\?|&)(sm=)([^=&?,]*)/i);                                            
      if(sm!=null && sm.length>2){
        setOptionSelected('_searchmodel_',sm[2]);
        _checkModel(sm[2]);
      }else if(smObj.options.length>0){
        if(smObj.selectedIndex!=-1){        
            _checkModel(smObj.options[smObj.selectedIndex].value);
        }else{
            _checkModel(smObj.options[0].value);
        }
      }                       
    }else{
      setOptionSelected('_searchmodel_',sm);
      _checkModel(sm);
    }                        
    var kt=location.href.match(/(?!=\?|&)(kt=)([^=&?,]*)/i); 
    if(kt!=null && kt.length>2){
      setOptionSelected('_keytype_',kt[2]);
    }                        
    var kw=location.href.match(/(?!=\?|&)(kw=)([^=&?,]*)/i);  
    if(kw!=null && kw.length>2){
      setValue('_keyword_',decodeURI(kw[2]));
    }else{
      setValue('_keyword_','');
    }   
  }  
  function _checkModel(v)
  {                      
    var kt=document.getElementById('_keytype_');      
    if(kt==null){
      return false;
    }
    else{                        
      while(kt.options.length>0){                           
        kt.removeChild(kt.options[kt.options.length-1]);
      }
    }     
    var objArray=null;
    if(v.toLowerCase()=='news'){
      objArray=_newsKeyTypes;
    }else if(v.toLowerCase()=='products'){
      objArray=_productKeyTypes;
    }else if(v.toLowerCase()=='pictures'){
      objArray=_pictureKeyTypes;
    }else if(v.toLowerCase()=='downloads'){
      objArray=_downloadKeyTypes;
    }
    if(objArray!=null && objArray.length>0){
      for(var i=0;i<objArray.length;i++){                     
        kt.options.add(new Option(objArray[i][0],objArray[i][1]));
      }
    }                          
  }
  function _doSearch(RootPath,ModelPath,menuId)
  { 
    var kw=document.getElementById('_keyword_');  
    if(kw==null || kw.value==''){    
      return false;
    }
    var mid=menuId!=null?parseInt(menuId):0;
    var sm=document.getElementById('_searchmodel_');   
    var kt=document.getElementById('_keytype_');                                          
    var url=RootPath;                        
    url=( url!='' ? '/' + url : url) + '/' + (sm!=null ? sm.value : ModelPath) + '/search.html';    
    location.href=url + "?sm=" + (sm!=null ? sm.value : ModelPath) + "&kt=" + (kt!=null ? kt.value : (ModelPath.toLowerCase()=='products' ? 'name' : 'title')) + "&kw=" + (kw!=null ? encodeURI(kw.value) : '') + '&mid='+mid;    
     
    return true;
  }
-->
